%{?nodejs_find_provides_and_requires}

# Tests are hanging forever on Node.js 6
# Next time this package is rebased, please check to see if upstream has
# fixed this.
%global enable_tests 0

Name:       nodejs-grunt-contrib-watch
Version:    0.6.1
Release:    12%{?dist}
Summary:    Run predefined tasks whenever watched file patterns are added/changed/deleted
License:    MIT
URL:        https://github.com/gruntjs/grunt-contrib-watch
Source0:    https://registry.npmjs.org/grunt-contrib-watch/-/grunt-contrib-watch-%{version}.tgz
# https://raw.githubusercontent.com/gruntjs/grunt-contrib-watch/c190351f5262fc6b6c6a1479c990adedb18d629d/Gruntfile.js
Source1:    Gruntfile-%{version}.js
# The test files are missing from the NPM tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source2:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(gaze)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-internal)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(lodash)
BuildRequires:  npm(tiny-lr-fork)
BuildRequires:  npm(underscore.string)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 2 -n package
cp -p %{SOURCE1} Gruntfile.js
%nodejs_fixdep async ^1.5.0
%nodejs_fixdep lodash ^3.10.1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-watch
cp -pr package.json tasks/ \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-watch

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-contrib-watch


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 05 2016 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-7
- Skip hanging tests

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 15 2015 Tom Hughes <tom@compton.nu> - 0.6.1-5
- Update npm(lodash) dependency

* Sun Nov 22 2015 Tom Hughes <tom@compton.nu> - 0.6.1-4
- Update npm(async) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-1
- initial package
